// JavaScript Document
$(document).ready(function(e) {
    var funcionario = $('#boxLogin').html();
	
	$( "#tabsProducao" ).tabs({
		beforeLoad: function( event, ui ) {
		ui.jqXHR.error(function() {
		ui.panel.html('Tab Localizado');
		});
	 }
	});
	
	
	var id_prod;
	var controle;
	var id_eve;
	$('#pnProducaoMen').dialog({
		autoOpen : false,
		modal : true,
		resizable : false,
		height : 250, // altura
		width : 480, // largura
		buttons : {
			'Salvar' : function() { 
									var Obs = $('#edtInforma').val();
									if(controle == 'ConfirmarCliente'){
									 UpdateProducaoFull(id_eve, '6', funcionario, Obs, '7');
									 OcultarHist(id_prod);
									// alert(id_prod);
									}
									
									if(controle == 'RecebidoAlbumERRO'){
									 UpdateProducaoFull(id_eve, '9', funcionario, Obs, '14');
									 OcultarHist(id_prod);
									 //alert(id_prod);
									}
									
									
									$(this).dialog('close');
								   },
			'Cancelar' : function(){$(this).dialog('close');}
		}

	})
	
	
	
	

	////////////////////////////tudo X9//////////////////////////
	
	//Esta ação deve acontecer no X9 quando o cliente finalizar a escolha das fotos do evento.
/*	$('#btnFinalizar').live('click',function(){
		UpdateProducao('252', '2', 'Cliente','');	
		return false;
	})	*/
	
	
	$(document).on('click','#btnContatoX9',function(){
		id_eve = $(this).attr('id_eve');
		UpdateProducaoX9(id_eve);
		return false;
	})
	
	
	$(document).on('click','#btnAprovando',function(){
		id_eve = $(this).attr('id_eve');
		UpdateProducaoFull(id_eve, '7', 'Cliente', 'Todas as fotos foram aprovadas', '8');
		return false;
	})	
	
	
	$(document).on('click','#btnNaoAprovando',function(){
		id_eve = $(this).attr('id_eve');
		UpdateProducaoFull(id_eve, '8', 'Cliente', '', '9');
		return false;
	})
	
////////////////////////////fim X9//////////////////////////






	////////////////////////////tudo X9Picasa //////////////////////////
	
	//Esta ação deve aconter no Vfoto-X9Picasa quando for subir as Foto do Evento.
	$(document).on('click','#btnSubirFoto',function(){
		//id_evento=252
		InserirProducao('252','Álbum', funcionario);	  
	  return false;
	})
	
	
	//Nesta Função tem que disparar um email para o Cliente com a foto do album
	$(document).on('click','#btnSubirLayout',function(){
		UpdateProducao('252','5',funcionario,'')
		return false;
	})
	
	

	////////////////////////////fim X9Picasa //////////////////////////
			
	
	/*
	$('#').live('click',function(){
		return false;
	})		
		*/
	
	
	
	////////////////////////////tudo Produçao //////////////////////////
	
	//Esta ação deve acontecer no Vfoto-Produção
	$(document).on('click','#btnEditar',function(){
		id_eve = $(this).attr('id_eve');
		id_prod = $(this).attr('id_prod');
		Confirmacao('Gostaria de iniciar esta edição?',function(){
		  UpdateProducao(id_eve,'3',funcionario,' ')
		  OcultarHist(id_prod);
		});
		return false;
	})	
	
	
	//Esta ação deve acontecer no Vfoto-Produção
	$(document).on('click','#btnFinalizarEdicao', function(){
				id_eve = $(this).attr('id_eve');
				id_prod = $(this).attr('id_prod');
				Confirmacao('Gostaria de Finalizar esta edição?',function(){
				UpdateProducao(id_eve,'4',funcionario,' ')
		  		OcultarHist(id_prod);	
			});
		return false;
	})
	
	
	$(document).on('click','#btnConfirmarCliente',function(){
		$('#edtInforma').val('');
		id_prod = $(this).attr('id_prod');
		controle = 'ConfirmarCliente';
		id_eve = $(this).attr('id_eve');
		$('#pnProducaoMen').dialog('open');
		return false;
	})
	
	
	$(document).on('click','#btnEnviarEncadernadora',function(){
	    id_eve = $(this).attr('id_eve');
		id_prod = $(this).attr('id_prod');
		Confirmacao('Confirma o Envio para a encadernadora?',function(){
		UpdateProducaoFull(id_eve,'9',funcionario,'','11');
		OcultarHist(id_prod);	
			});

	    return false;
	})
	
	
	$(document).on('click', '#btnRecebidoAlbumOK',function(){
			 id_eve = $(this).attr('id_eve');
			 id_prod = $(this).attr('id_prod');
			 Confirmacao(' Confirma o recebimento da encadernadora?',function(){
			 UpdateProducaoFull(id_eve,'10',funcionario,'','13');
		  	 OcultarHist(id_prod);	
			});

		return false;
	})	
	
	
	$(document).on('click','#btnEntregueCliente',function(){
		id_eve = $(this).attr('id_eve');
		id_prod = $(this).attr('id_prod');
		Confirmacao('Confirma a entrega do material para o Cliente?',function(){
		UpdateProducaoFull(id_eve,'11',funcionario,'','15');
		OcultarHist(id_prod);	
			});
		return false;
	})	
	
	$(document).on('click','#btnRecebidoAlbumERRO',function(){
	 	$('#edtInforma').val('');
		id_prod = $(this).attr('id_prod');
		controle = 'RecebidoAlbumERRO';
		$('#pnProducaoMen').dialog('open');
	  return false;
	})	
	
/*	
	$('#btnMail').live('click',function(){
	 	sendEmail('251','Vamos escolher mais foto?');
	  return false;
	})	*/
	
	
	
	
	
	
	///////////////////////fim produção ///////////////////////////////////
	
	
	/*
	$('#').live('click',function(){
		return false;
	})		
		*/
		
});


function sendEmail(id_evento, mensagem){
				$.ajax({
				 type: "POST",
				 url: "producao/ax.producao.php",
				 data: 'ax=SendEmail&id_evento='+id_evento+'&mensagem='+mensagem,
				  }) //fim ajax	

}


function ProgresseBar(Nome, Data){
	$('#'+Nome).progressbar({value: ((DiferencaEntreDatas(Data,DataAtual()) * 100) / 90)});	
}
function DiasCorridos(Nome, Data){
	$('#'+Nome).html(DiferencaEntreDatas(Data,DataAtual()));
}


function CarregarProcessoS(statos, local){
				 $.ajax({
				 type: "POST",
				 url: "producao/ax.producao.php",
				 data: 'ax=Processo&statos='+statos+'&local='+local, 
				 beforeSend: function(){$("."+local).html('<div align="center"><img src="img/loadNew.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("."+local).html(R).fadeIn('slow');
				 						$('.pnLinha:odd').addClass('linha');
										} ,
				 error: function(R){ $("."+local).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("."+local).html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax	
}

function CarregarUmProcesso(statos, local, id_evento){
				 $.ajax({
				 type: "POST",
				 url: "producao/ax.producao.php",
				 data: 'ax=Processo&statos='+statos+'&local='+local+'&id_evento='+id_evento, 
				 beforeSend: function(){$("#"+local).html('<div align="center"><img src="img/loadNew.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#"+local).html(R).fadeIn('slow');
				 						$('.pnLinha:odd').addClass('linha');
										} ,
				 error: function(R){ $("#"+local).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+local).html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax	
}


function InserirProducao(id_evento, tipo_edicao, funcionario){
				$.ajax({
				type: "POST",
				url: "producao/ax.producao.php",
				data: 'ax=InsertProducao&tipo_edicao='+tipo_edicao+'&id_evento='+id_evento+'&funcionario='+funcionario
						 
			  }) //fim ajax		
}


function UpdateProducao(id_evento, numStatos, funcionario, Obs){
			$.ajax({
				type: "POST",
				url: "producao/ax.producao.php",
				data: 'ax=UpdateProducao&numStatos='+numStatos+'&id_evento='+id_evento+'&funcionario='+funcionario+'&obs='+Obs
						 
			  }) //fim ajax	
}


function UpdateProducaoSendEmail(id_evento, numStatos, funcionario, usuario, album, senha, nome){
			$.ajax({
				type: "POST",
				url: "producao/ax.producao.php",
				data: 'ax=UpdateProducaoSendEmail&numStatos='+numStatos+'&id_evento='+id_evento+'&funcionario='+funcionario+
				'&usuario='+usuario+'&album='+album+'&senha='+senha+'&nome='+nome
						 
			  }) //fim ajax	
}

function UpdateProducaoFull(id_evento, numStatos, funcionario, Obs, numMensagem){
			$.ajax({
				type: "POST",
				url: "producao/ax.producao.php",
				data: 'ax=UpdateProducaoFull&numStatos='+numStatos+'&id_evento='+id_evento+'&funcionario='+funcionario+'&obs='+Obs+'&numMensagem='+numMensagem
						 
			  }) //fim ajax	

}

function OcultarHist(NumPainel){
		$('#pnHist'+NumPainel).hide('slow');	
}


////////////////////////////so para o X9///////////////////////

//fumçao para o X9
function UpdateProducaoX9(id_evento, numStatos, funcionario, Obs){
			$.ajax({
				type: "POST",
				url: "../producao/ax.producao.php",
				data: 'ax=UpdateProducaoX9&numStatos='+numStatos+'&id_evento='+id_evento+'&funcionario='+funcionario+'&obs='+Obs
						 
			  }) //fim ajax	
}


function UpdateProducaoFullX9(id_evento, numStatos, funcionario, Obs, numMensagem){
			$.ajax({
				type: "POST",
				url: "../producao/ax.producao.php",
				data: 'ax=UpdateProducaoFull&numStatos='+numStatos+'&id_evento='+id_evento+'&funcionario='+funcionario+'&obs='+Obs+'&numMensagem='+numMensagem
						 
			  }) //fim ajax	

}

